## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogProvider

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogProvider

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, ICatalogProvider

    public class SybaseASECatalogProvider

extends java.lang.Object
implements ICatalogProvider, org.eclipse.core.runtime.IExecutableExtension

Constructor Summary
`SybaseASECatalogProvider()`

Method Summary
`Database` `getCatalogDatabase(java.sql.Connection connection)`
`void` `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASECatalogProvider

    public SybaseASECatalogProvider()

Method Detail

### setInitializationData

    public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                      java.lang.String propertyName,
                                      java.lang.Object data)
                               throws org.eclipse.core.runtime.CoreException

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getCatalogDatabase

    public Database getCatalogDatabase(java.sql.Connection connection)

  Specified by:
    `getCatalogDatabase` in interface `ICatalogProvider`